package com.phlx.wool.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Generated;

/**
 * 锡盟临时录入数据bean
 */
@Entity
public class CattleLabelEntity extends BaseObservable implements Parcelable {

    /**
     * 主键
     */
    @Id
    private String id;

    /**
     * 耳标号
     */
    private String registrationNo;

    /**
     * 个体号
     */
    private String individualNo;

    /**
     * 养殖户代码
     */
    private String pastureUnitId;

    /**
     * 出生日期
     */
    private String birthdate;

    /**
     * 血统
     */
    private String ancestryId;

    /**
     * 性别
     */
    private String sex;

    /**
     * 体重
     */
    private String weight;

    /**
     * 胸围
     */
    private String bust;

    /**
     * 管围
     */
    private String tubeCircumference;

    /**
     * 体高
     */
    private String bodyHeight;

    /**
     * 体斜长
     */
    private String bodyObliqueLength;

    /**
     * 照片路径
     */
    private String markImgPath;

    /**
     * 照片
     */
    private String photo;

    /**
     * 状态（育种，育成，成年,淘汰，出售）
     */
    private String status;

    /**
     * 时间戳
     */
    private String inputTime;

    /**
     * 备用
     */
    private String spare1;

    /**
     * 备用
     */
    private String spare2;

    /**
     * 备用
     */
    private String spare3;

    /**
     * 备用
     */
    private String spare4;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private String createTime;

    public CattleLabelEntity() {
    }

    protected CattleLabelEntity(Parcel in) {
        id = in.readString();
        registrationNo = in.readString();
        individualNo = in.readString();
        pastureUnitId = in.readString();
        birthdate = in.readString();
        ancestryId = in.readString();
        sex = in.readString();
        weight = in.readString();
        bust = in.readString();
        tubeCircumference = in.readString();
        bodyHeight = in.readString();
        bodyObliqueLength = in.readString();
        markImgPath = in.readString();
        photo = in.readString();
        status = in.readString();
        inputTime = in.readString();
        spare1 = in.readString();
        spare2 = in.readString();
        spare3 = in.readString();
        spare4 = in.readString();
        createBy = in.readString();
        createTime = in.readString();
    }

    @Generated(hash = 658883898)
    public CattleLabelEntity(String id, String registrationNo, String individualNo,
            String pastureUnitId, String birthdate, String ancestryId, String sex, String weight,
            String bust, String tubeCircumference, String bodyHeight, String bodyObliqueLength,
            String markImgPath, String photo, String status, String inputTime, String spare1,
            String spare2, String spare3, String spare4, String createBy, String createTime) {
        this.id = id;
        this.registrationNo = registrationNo;
        this.individualNo = individualNo;
        this.pastureUnitId = pastureUnitId;
        this.birthdate = birthdate;
        this.ancestryId = ancestryId;
        this.sex = sex;
        this.weight = weight;
        this.bust = bust;
        this.tubeCircumference = tubeCircumference;
        this.bodyHeight = bodyHeight;
        this.bodyObliqueLength = bodyObliqueLength;
        this.markImgPath = markImgPath;
        this.photo = photo;
        this.status = status;
        this.inputTime = inputTime;
        this.spare1 = spare1;
        this.spare2 = spare2;
        this.spare3 = spare3;
        this.spare4 = spare4;
        this.createBy = createBy;
        this.createTime = createTime;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(registrationNo);
        dest.writeString(individualNo);
        dest.writeString(pastureUnitId);
        dest.writeString(birthdate);
        dest.writeString(ancestryId);
        dest.writeString(sex);
        dest.writeString(weight);
        dest.writeString(bust);
        dest.writeString(tubeCircumference);
        dest.writeString(bodyHeight);
        dest.writeString(bodyObliqueLength);
        dest.writeString(markImgPath);
        dest.writeString(photo);
        dest.writeString(status);
        dest.writeString(inputTime);
        dest.writeString(spare1);
        dest.writeString(spare2);
        dest.writeString(spare3);
        dest.writeString(spare4);
        dest.writeString(createBy);
        dest.writeString(createTime);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<CattleLabelEntity> CREATOR = new Creator<CattleLabelEntity>() {
        @Override
        public CattleLabelEntity createFromParcel(Parcel in) {
            return new CattleLabelEntity(in);
        }

        @Override
        public CattleLabelEntity[] newArray(int size) {
            return new CattleLabelEntity[size];
        }
    };

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRegistrationNo() {
        return registrationNo;
    }

    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    public String getIndividualNo() {
        return individualNo;
    }

    public void setIndividualNo(String individualNo) {
        this.individualNo = individualNo;
    }

    public String getPastureUnitId() {
        return pastureUnitId;
    }

    public void setPastureUnitId(String pastureUnitId) {
        this.pastureUnitId = pastureUnitId;
    }

    public String getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(String birthdate) {
        this.birthdate = birthdate;
    }

    public String getAncestryId() {
        return ancestryId;
    }

    public void setAncestryId(String ancestryId) {
        this.ancestryId = ancestryId;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getBust() {
        return bust;
    }

    public void setBust(String bust) {
        this.bust = bust;
    }

    public String getTubeCircumference() {
        return tubeCircumference;
    }

    public void setTubeCircumference(String tubeCircumference) {
        this.tubeCircumference = tubeCircumference;
    }

    public String getBodyHeight() {
        return bodyHeight;
    }

    public void setBodyHeight(String bodyHeight) {
        this.bodyHeight = bodyHeight;
    }

    public String getBodyObliqueLength() {
        return bodyObliqueLength;
    }

    public void setBodyObliqueLength(String bodyObliqueLength) {
        this.bodyObliqueLength = bodyObliqueLength;
    }

    public String getMarkImgPath() {
        return markImgPath;
    }

    public void setMarkImgPath(String markImgPath) {
        this.markImgPath = markImgPath;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getInputTime() {
        return inputTime;
    }

    public void setInputTime(String inputTime) {
        this.inputTime = inputTime;
    }

    public String getSpare1() {
        return spare1;
    }

    public void setSpare1(String spare1) {
        this.spare1 = spare1;
    }

    public String getSpare2() {
        return spare2;
    }

    public void setSpare2(String spare2) {
        this.spare2 = spare2;
    }

    public String getSpare3() {
        return spare3;
    }

    public void setSpare3(String spare3) {
        this.spare3 = spare3;
    }

    public String getSpare4() {
        return spare4;
    }

    public void setSpare4(String spare4) {
        this.spare4 = spare4;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "CattleLabelEntity{" +
                "id='" + id + '\'' +
                ", registrationNo='" + registrationNo + '\'' +
                ", individualNo='" + individualNo + '\'' +
                ", pastureUnitId='" + pastureUnitId + '\'' +
                ", birthdate='" + birthdate + '\'' +
                ", ancestryId='" + ancestryId + '\'' +
                ", sex='" + sex + '\'' +
                ", weight='" + weight + '\'' +
                ", bust='" + bust + '\'' +
                ", tubeCircumference='" + tubeCircumference + '\'' +
                ", bodyHeight='" + bodyHeight + '\'' +
                ", bodyObliqueLength='" + bodyObliqueLength + '\'' +
                ", markImgPath='" + markImgPath + '\'' +
                ", photo='" + photo + '\'' +
                ", status='" + status + '\'' +
                ", inputTime='" + inputTime + '\'' +
                ", spare1='" + spare1 + '\'' +
                ", spare2='" + spare2 + '\'' +
                ", spare3='" + spare3 + '\'' +
                ", spare4='" + spare4 + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                '}';
    }
}
